
/*
 * Macros utilizadas para controlar o ACE 8250
 *
*/
#define     TX_READY(x)    ((inportb(BASE(x) + LIN_STS) & THRE)!=0)
#define     RX_READY(x)    ((inportb(BASE(x)   + LIN_STS) & DR)!=0)
#define     OutCar(car,x)  outportb(BASE(x) + RX_TX,car)
#define     InCar(x)       inportb(BASE(x) + RX_TX)
#define     DCD_ACTIVE(x)  (inportb(BASE(x) + MDM_STS) & DCD)
#define     CTS_ACTIVE(x)  (inportb(BASE(x) + MDM_STS) & CTS)
#define     DSR_ACTIVE(x)  (inportb(BASE(x) + MDM_STS) & DSR)
#define     RI_ACTIVE(x)   (inportb(BASE(x) + MDM_STS) & RI)
#define     RTS_ACTIVE(x)  (inportb(BASE(x) + MDM_CTRL) & RTS)
#define     DTR_ACTIVE(x)  (inportb(BASE(x) + MDM_CTRL) & DTR)
#define     RTS_ON(x)      outportb(BASE(x) + MDM_CTRL,inportb(BASE(x) + MDM_CTRL) | RTS)
#define     RTS_OFF(x)     outportb(BASE(x) + MDM_CTRL,inportb(BASE(x) + MDM_CTRL) & ~RTS)
#define     DTR_ON(x)      outportb(BASE(x) + MDM_CTRL,inportb(BASE(x) + MDM_CTRL) | DTR)
#define     DTR_OFF(x)     outportb(BASE(x) + MDM_CTRL,inportb(BASE(x) + MDM_CTRL) & ~DTR)

/*
 * Estrutura utilizada para determinar o baud rate.
 *
*/
typedef struct{
     long baud;
     int  val;
     } BAUD_TAB;

#define PORTAS 1  /* Numero maximo de portas serie depende do PC ver ecolib.c */


/*
 * Estrutura para possiveis configuracoes do 8250
 *
*/
typedef struct{
        int base;
        int irq_port;
        int irq_mask;
    }ACE;


#define BASE(x)    (Uart[x].base)
#define IRQPORT(x) (Uart[x].irq_port)
#define IRQMASK(x) (Uart[x].irq_mask)

