/*
 * Variaveis utilizadas para controlo de fluxo; histerese
 *
*/
extern char CtrlFluxo[PORTAS];
extern int  FullDuplex[PORTAS];
extern BAUD_TAB BaudTable[];
extern ACE Uart[PORTAS];



/*
 * UartPresente
 *
 *  Indica a presenca do UART associado `a porta indicada.
 *
 *
*/
extern int UartPresente(int porta);

/*
 * SetBaud
 *
 * Altera o baud rate do 8250. O valor passado como parametro e' aquele pelo
 * qual se quer dividir o clock de 1.8432 MHz.
 *
*/
extern int SetBaud(int b,int porta);

/*
 * GetBaud
 *
 * Devolve o valor do baud rate
 *
 *
*/
extern long GetBaud(int porta);

/*
 * SendCar
 *
 *  Envia um caracter para o UART. No caso da comunicacao ser em half-duplex
 * O RTS e' pulsado, e espera-se por CTS...
 *
*/
extern int SendCar(UCHAR car,int porta);

/*
 * BufNaoVazio
 *
 * Indica o estado do buffer de recepcao.
 *
 *
*/
extern int BufNaoVazio(int porta);

/*
 * NumCaracteres
 *
 *  Devolve o numero de caracteres que se encontram no buffer de recepcao.
 *
 *
*/

extern int NumCaracteres(int porta);

/*
 * GetCar
 *
 *  Devolve um caracter lido do buffer de recepcao.
 *
 *
*/
extern int GetCar(int porta);

/*
 * TratarSpecial
 *
 * Proceder ao envio do caracter XON / XOFF
 *
 *
*/
extern int TratarSpecial(int porta);

/*
 * NaoExisteACE
 *
 *    Este procedimento detecta se existe uma port de input/output no
 * endereco BASE + LIN_CTRL
 *
*/
extern int NaoExisteACE(int porta);

/*
 * Init
 *
 * Rotina de iniciacao.
 *
 *
*/
extern int Init();

/*
 * EndSession
 *
 * Rotina final.
 *
 *
*/
extern int EndSession();

/*
 * ChangeAddress
 *
 * Configurar o endereco da UART
 *
 *
*/
extern int ChangeAddress(char c);

/*
 * InitTimer()
 *
 *  Procede as inicializacoes necessarias para a utilizacao do timer.
 *
 *
*/
extern int InitTimer();

/*
 * EndTimer
 *
 *  Deixa o interrupt do timer como estava antes de se ter evocado o InitTimer.
 *
 *
*/
extern int EndTimer();

/*
 * Start Timer
 *
 *  Comeca a contar o tempo.
 *
 *
*/
extern int StartTimer(int timeout);

/*
 * StopTimer
 *
 *  Para o contador, e devolve o valor que faltava decrementar
 *
 *
*/
extern long StopTimer();

/*
 * TimerValue
 *
 *  Devolve o valor do contador "on fly".
 *
 *
*/
extern long TimerValue();

/*
 * Timeout
 *
 *  Indica se o contador expirou ou nao.
 *
 *
*/
extern int Timeout();

